## ros-lunar-robot-activity 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robot_activity)

add_compile_options(-std=c++11)
add_compile_options(-Wall)

find_package(catkin REQUIRED COMPONENTS
  roslint
  roscpp
  std_srvs
  robot_activity_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES robot_activity
  CATKIN_DEPENDS roscpp std_srvs robot_activity_msgs
)

###########
## Build ##
###########

set(ROSLINT_CPP_OPTS "--filter=+,-build/c++11,-runtime/references,-build/storage_class")
roslint_cpp()

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(robot_activity
  src/robot_activity.cpp
  src/managed_robot_activity.cpp
  src/resource/managed_resource.cpp
  src/resource/resource_manager.cpp
)
add_dependencies(robot_activity ${catkin_EXPORTED_TARGETS})
target_link_libraries(robot_activity ${catkin_LIBRARIES})

#############
## Install ##
#############

install(TARGETS robot_activity
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)

  add_rostest_gtest(
    robot_activity_tests
    test/robot_activity.test
    test/robot_activity_tests.cpp)
  add_dependencies(robot_activity_tests ${catkin_EXPORTED_TARGETS})
  target_link_libraries(robot_activity_tests robot_activity ${catkin_LIBRARIES})

  add_executable(any_robot_activity test/any_robot_activity.cpp)
  add_dependencies(any_robot_activity ${catkin_EXPORTED_TARGETS})
  target_link_libraries(any_robot_activity robot_activity ${catkin_LIBRARIES})
  add_rostest(test/heartbeat.test)

  roslint_add_test()

endif()

=== debian/changelog ===
ros-lunar-robot-activity (0.1.1-0xenial) xenial; urgency=high

  * package renamed to robot_activity
  * Contributors: Maciej Zurad

 -- Maciej ZURAD <maciej.zurad@gmail.com>  Tue, 17 Apr 2018 22:00:00 -0000

ros-lunar-robot-activity (0.1.0-0xenial) xenial; urgency=high

  * initial beta release
  * RobotProcess working with heartbeat and state services
  * ManagedRobotProcess working with managed subscriber and services
  * IsolatedAsyncTimer working but still separate from managed subscriber and services
  * basic tests added for RobotProcess
  * roslint added
  * Contributors: Maciej Zurad

 -- Maciej ZURAD <maciej.zurad@gmail.com>  Thu, 12 Apr 2018 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-robot-activity
Section: misc
Priority: extra
Maintainer: Maciej ZURAD <maciej.zurad@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-robot-activity-msgs, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rostest, ros-lunar-std-srvs
Homepage: http://www.ros.org/wiki/robot_activity
Standards-Version: 3.9.2

Package: ros-lunar-robot-activity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-robot-activity-msgs, ros-lunar-roscpp, ros-lunar-std-srvs
Description: The robot_activity package implements ROS node lifecycle
